Project

General

Profile

Bug #44157

cli throws bad exceptoin on control-c

Added by Sage Weil about 4 years ago. Updated about 4 years ago.

Status:
Resolved
Priority:
Urgent
Assignee:
-
Category:
-
Target version:
-
% Done:

0%

Source:
Tags:
Backport:
Regression:
No
Severity:
3 - minor
Reviewed:
Affected Versions:
ceph-qa-suite:
Component(RADOS):
Pull request ID:
Crash signature (v1):
Crash signature (v2):

Description

gnit:build (wip-cephadm-daemons-foo) 11:32 AM $ bin/ceph orch ps
*** DEVELOPER MODE: setting PATH, PYTHONPATH and LD_LIBRARY_PATH ***
2020-02-14T11:32:39.860-0600 7fd869346700 -1 WARNING: all dangerous and experimental features are enabled.
2020-02-14T11:32:39.900-0600 7fd869346700 -1 WARNING: all dangerous and experimental features are enabled.

^CInterrupted
Traceback (most recent call last):
  File "bin/ceph", line 577, in do_command
    argdict=valid_dict, inbuf=inbuf, verbose=verbose)
  File "/home/sage/src/ceph5/src/pybind/ceph_argparse.py", line 1492, in json_command
    inbuf, timeout, verbose)
  File "/home/sage/src/ceph5/src/pybind/ceph_argparse.py", line 1349, in send_command_retry
    return send_command(*args, **kwargs)
  File "/home/sage/src/ceph5/src/pybind/ceph_argparse.py", line 1398, in send_command
    cluster.mgr_command, cmd, inbuf, timeout=timeout)
  File "/home/sage/src/ceph5/src/pybind/ceph_argparse.py", line 1331, in run_in_thread
    t.join(timeout=timeout)
  File "/usr/lib64/python3.7/threading.py", line 1048, in join
    self._wait_for_tstate_lock(timeout=max(timeout, 0))
  File "/usr/lib64/python3.7/threading.py", line 1060, in _wait_for_tstate_lock
    elif lock.acquire(block, timeout):
KeyboardInterrupt

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "bin/ceph", line 1270, in <module>
    retval = main()
  File "bin/ceph", line 1201, in main
    verbose)
  File "bin/ceph", line 623, in new_style_command
    ret, outbuf, outs = do_command(parsed_args, target, cmdargs, sigdict, inbuf, verbose)
  File "bin/ceph", line 597, in do_command
    return ret, '', ''
UnboundLocalError: local variable 'ret' referenced before assignment

that second exceptions shouldn't happen

History

#1 Updated by Sage Weil about 4 years ago

  • Status changed from New to Fix Under Review
  • Pull request ID set to 33352

#2 Updated by Sage Weil about 4 years ago

  • Status changed from Fix Under Review to Resolved

Also available in: Atom PDF